Package org.lwjgl.opengl

# Class NVBlendEquationAdvanced

java.lang.Object
org.lwjgl.opengl.NVBlendEquationAdvanced

public final class NVBlendEquationAdvanced extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BLEND_ADVANCED_COHERENT_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_BLEND_OVERLAP_NV`
Accepted by the <pname> parameter of BlendParameteriNV, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_BLEND_PREMULTIPLIED_SRC_NV`
Accepted by the <pname> parameter of BlendParameteriNV, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_COLORBURN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_COLORDODGE_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_CONJOINT_NV`
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:
`static final int`
`GL_CONTRAST_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DARKEN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DIFFERENCE_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DISJOINT_NV`
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:
`static final int`
`GL_DST_ATOP_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DST_IN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DST_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DST_OUT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_DST_OVER_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_EXCLUSION_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HARDLIGHT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HARDMIX_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HSL_COLOR_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HSL_HUE_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HSL_LUMINOSITY_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_HSL_SATURATION_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_INVERT_OVG_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_INVERT_RGB_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_LIGHTEN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_LINEARBURN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_LINEARDODGE_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_LINEARLIGHT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_MINUS_CLAMPED_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_MINUS_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_MULTIPLY_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_OVERLAY_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_PINLIGHT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_PLUS_CLAMPED_ALPHA_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_PLUS_CLAMPED_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_PLUS_DARKER_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_PLUS_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SCREEN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SOFTLIGHT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SRC_ATOP_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SRC_IN_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SRC_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SRC_OUT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_SRC_OVER_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:
`static final int`
`GL_UNCORRELATED_NV`
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:
`static final int`
`GL_VIVIDLIGHT_NV`
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBlendBarrierNV()`
`static void`
`glBlendParameteriNV(int pname, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_BLEND_ADVANCED_COHERENT_NV

public static final int GL_BLEND_ADVANCED_COHERENT_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_BLEND_PREMULTIPLIED_SRC_NV

public static final int GL_BLEND_PREMULTIPLIED_SRC_NV
Accepted by the <pname> parameter of BlendParameteriNV, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_BLEND_OVERLAP_NV

public static final int GL_BLEND_OVERLAP_NV
Accepted by the <pname> parameter of BlendParameteriNV, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNCORRELATED_NV

public static final int GL_UNCORRELATED_NV
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:

See Also:
  - Constant Field Values

### GL_DISJOINT_NV

public static final int GL_DISJOINT_NV
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:

See Also:
  - Constant Field Values

### GL_CONJOINT_NV

public static final int GL_CONJOINT_NV
Accepted by the <value> parameter of BlendParameteriNV when <pname> is BLEND_OVERLAP_NV:

See Also:
  - Constant Field Values

### GL_SRC_NV

public static final int GL_SRC_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DST_NV

public static final int GL_DST_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SRC_OVER_NV

public static final int GL_SRC_OVER_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DST_OVER_NV

public static final int GL_DST_OVER_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SRC_IN_NV

public static final int GL_SRC_IN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DST_IN_NV

public static final int GL_DST_IN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SRC_OUT_NV

public static final int GL_SRC_OUT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DST_OUT_NV

public static final int GL_DST_OUT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SRC_ATOP_NV

public static final int GL_SRC_ATOP_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DST_ATOP_NV

public static final int GL_DST_ATOP_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_MULTIPLY_NV

public static final int GL_MULTIPLY_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SCREEN_NV

public static final int GL_SCREEN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_OVERLAY_NV

public static final int GL_OVERLAY_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DARKEN_NV

public static final int GL_DARKEN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_LIGHTEN_NV

public static final int GL_LIGHTEN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_COLORDODGE_NV

public static final int GL_COLORDODGE_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_COLORBURN_NV

public static final int GL_COLORBURN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HARDLIGHT_NV

public static final int GL_HARDLIGHT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_SOFTLIGHT_NV

public static final int GL_SOFTLIGHT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_DIFFERENCE_NV

public static final int GL_DIFFERENCE_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_EXCLUSION_NV

public static final int GL_EXCLUSION_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_INVERT_RGB_NV

public static final int GL_INVERT_RGB_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_LINEARDODGE_NV

public static final int GL_LINEARDODGE_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_LINEARBURN_NV

public static final int GL_LINEARBURN_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_VIVIDLIGHT_NV

public static final int GL_VIVIDLIGHT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_LINEARLIGHT_NV

public static final int GL_LINEARLIGHT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_PINLIGHT_NV

public static final int GL_PINLIGHT_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HARDMIX_NV

public static final int GL_HARDMIX_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HSL_HUE_NV

public static final int GL_HSL_HUE_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HSL_SATURATION_NV

public static final int GL_HSL_SATURATION_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HSL_COLOR_NV

public static final int GL_HSL_COLOR_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_HSL_LUMINOSITY_NV

public static final int GL_HSL_LUMINOSITY_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_PLUS_NV

public static final int GL_PLUS_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_PLUS_CLAMPED_NV

public static final int GL_PLUS_CLAMPED_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_PLUS_CLAMPED_ALPHA_NV

public static final int GL_PLUS_CLAMPED_ALPHA_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_PLUS_DARKER_NV

public static final int GL_PLUS_DARKER_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_MINUS_NV

public static final int GL_MINUS_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_MINUS_CLAMPED_NV

public static final int GL_MINUS_CLAMPED_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_CONTRAST_NV

public static final int GL_CONTRAST_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

### GL_INVERT_OVG_NV

public static final int GL_INVERT_OVG_NV
Accepted by the <mode> parameter of BlendEquation and BlendEquationi:

See Also:
  - Constant Field Values

## Method Details

### glBlendParameteriNV

public static void glBlendParameteriNV(int pname, int value)

### glBlendBarrierNV

public static void glBlendBarrierNV()